update dependencies (#6267)

Signed-off-by: hongming <coder.scala@gmail.com>
This commit is contained in:
hongming
2024-11-06 10:27:06 +08:00
committed by GitHub
parent faf255a084
commit cfebd96a1f
4263 changed files with 341374 additions and 132036 deletions

21
vendor/go.opentelemetry.io/otel/verify_readmes.sh generated vendored Normal file
View File

@@ -0,0 +1,21 @@
#!/bin/bash
# Copyright The OpenTelemetry Authors
# SPDX-License-Identifier: Apache-2.0
set -euo pipefail
dirs=$(find . -type d -not -path "*/internal*" -not -path "*/test*" -not -path "*/example*" -not -path "*/.*" | sort)
missingReadme=false
for dir in $dirs; do
if [ ! -f "$dir/README.md" ]; then
echo "couldn't find README.md for $dir"
missingReadme=true
fi
done
if [ "$missingReadme" = true ] ; then
echo "Error: some READMEs couldn't be found."
exit 1
fi